JNA API 3.3.0

## com.sun.jna.platform.unix
Class X11.VisualID

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.NativeLong
                  com.sun.jna.platform.unix.X11.VisualID

All Implemented Interfaces:
  NativeMapped, Serializable

Enclosing interface:
  X11

    public static class X11.VisualID

extends NativeLong

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.jna.NativeLong
`SIZE`

Constructor Summary
`X11.VisualID()`
`X11.VisualID(long value)`

Method Summary

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X11.VisualID

    public X11.VisualID()

### X11.VisualID

    public X11.VisualID(long value)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.